import { PropertyValues } from 'lit';
import { TiniElement } from 'tinijs';
export declare class IconFontAwesomeComponent extends TiniElement {
    static readonly defaultTagName = "icon-font-awesome";
    static styles: any;
    scale?: string;
    scheme?: string;
    willUpdate(changedValues: PropertyValues): void;
    protected render(): any;
}
export declare const IconFontAwesome: any;
